JaxbHibernateMapping.JaxbClass.JaxbNaturalId (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.hbm
Class JaxbHibernateMapping.JaxbClass.JaxbNaturalId

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.hbm.JaxbHibernateMapping.JaxbClass.JaxbNaturalId

Enclosing class:
  JaxbHibernateMapping.JaxbClass

    public static class JaxbHibernateMapping.JaxbClass.JaxbNaturalId

extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice maxOccurs="unbounded" minOccurs="0">
               <element name="property" type="{http://www.hibernate.org/xsd/hibernate-mapping}property-element"/>
               <element name="many-to-one" type="{http://www.hibernate.org/xsd/hibernate-mapping}many-to-one-element"/>
               <element name="component" type="{http://www.hibernate.org/xsd/hibernate-mapping}component-element"/>
               <element name="dynamic-component" type="{http://www.hibernate.org/xsd/hibernate-mapping}dynamic-component-element"/>
               <element name="any" type="{http://www.hibernate.org/xsd/hibernate-mapping}any-element"/>
             </choice>
           </sequence>
           <attribute name="mutable" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected Boolean` | `mutable`
`protected List<Object>` | `propertyOrManyToOneOrComponent`

Constructor Summary
`JaxbHibernateMapping.JaxbClass.JaxbNaturalId()`

Method Summary
`List<Object>` | `getPropertyOrManyToOneOrComponent()` Gets the value of the propertyOrManyToOneOrComponent property.
`boolean` | `isMutable()` Gets the value of the mutable property.
`void` | `setMutable(Boolean value)` Sets the value of the mutable property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertyOrManyToOneOrComponent

    protected List<Object> propertyOrManyToOneOrComponent

### mutable

    protected Boolean mutable

Constructor Detail

### JaxbHibernateMapping.JaxbClass.JaxbNaturalId

    public JaxbHibernateMapping.JaxbClass.JaxbNaturalId()

Method Detail

### getPropertyOrManyToOneOrComponent

    public List<Object> getPropertyOrManyToOneOrComponent()

  Gets the value of the propertyOrManyToOneOrComponent property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the propertyOrManyToOneOrComponent property.

  For example, to add a new item, do as follows:

          getPropertyOrManyToOneOrComponent().add(newItem);

  Objects of the following type(s) are allowed in the list `JaxbDynamicComponentElement` `JaxbComponentElement` `JaxbAnyElement` `JaxbPropertyElement` `JaxbManyToOneElement`

### isMutable

    public boolean isMutable()

  Gets the value of the mutable property.

  Returns:
    possible object is `Boolean`

### setMutable

    public void setMutable(Boolean value)

  Sets the value of the mutable property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.